Package org.apache.sling.installer.api.jmx

# Interface InstallerMBean

@ProviderType public interface InstallerMBean

## Method Summary

Modifier and Type
Method
Description
`int`
`getActiveResourceCount()`
Count of Active resource groups.
`int`
`getInstalledResourceCount()`
Count of Installed resource groups.
`long`
`getSuspendedSince()`
Determines the time since when the installer is in suspended state
`boolean`
`isActive()`
Indicates that whether the installer is currently active

## Method Details

### getActiveResourceCount

int getActiveResourceCount()
Count of Active resource groups. These resource groups are currently in processing.

Returns:
  Get the active resource count.

### getInstalledResourceCount

int getInstalledResourceCount()
Count of Installed resource groups. These resources groups are processed.

Returns:
  Get the installed resource count

### isActive

boolean isActive()
Indicates that whether the installer is currently active

Returns:
  If the installer is active.

### getSuspendedSince

long getSuspendedSince()
Determines the time since when the installer is in suspended state

Returns:
  Time since last suspended.